Bug 1279055 - [abrt] gnome-calendar: icaltime_day_of_year(): gnome-calendar killed by SIGSEGV
[abrt] gnome-calendar: icaltime_day_of_year(): gnome-calendar killed by SIGSEGV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-calendar (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7d06879ebaad09d394bf4636f40...
:
: 1214596 1321411 1340186 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 09:21 EST by Anass Ahmed
Modified: 2016-11-16 03:18 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-16 03:18:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.85 KB, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: core_backtrace (11.04 KB, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: dso_list (18.26 KB, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: environ (1.00 KB, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: maps (93.11 KB, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: mountinfo (3.41 KB, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: open_fds (936 bytes, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details
File: var_log_messages (310 bytes, text/plain)
2015-11-07 09:22 EST, Anass Ahmed
no flags Details

  None (edit)
Description Anass Ahmed 2015-11-07 09:21:56 EST
Description of problem:
Tried to synchronize an event on Google Calendar (which had been modified at the same time) and then I opened its window, and finally the application crashed (I guess because it was trying to update the event whose window were open).

Version-Release number of selected component:
gnome-calendar-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icaltime_day_of_year
executable:     /usr/bin/gnome-calendar
global_pid:     9448
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 icaltime_day_of_year at /usr/src/debug/libical-1.0.1/src/libical/icaltime.c:604
 #1 gcal_year_view_component_added at gcal-year-view.c:1145
 #2 cal_data_model_foreach_subscriber_in_range at e-cal-data-model.c:623
 #3 cal_data_model_process_added_component at e-cal-data-model.c:905
 #4 cal_data_model_process_modified_or_added_objects at e-cal-data-model.c:1248
 #5 g_cclosure_marshal_VOID__POINTERv at gmarshal.c:2026
 #6 _g_closure_invoke_va at gclosure.c:864
 #9 cal_client_view_emit_objects_modified_idle_cb at e-cal-client-view.c:236
 #14 gtk_dialog_run at gtkdialog.c:1395
 #15 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102

Potential duplicate: bug 1214596
Comment 1 Anass Ahmed 2015-11-07 09:22:01 EST
Created attachment 1090961 [details]
File: backtrace
Comment 2 Anass Ahmed 2015-11-07 09:22:03 EST
Created attachment 1090962 [details]
File: cgroup
Comment 3 Anass Ahmed 2015-11-07 09:22:05 EST
Created attachment 1090963 [details]
File: core_backtrace
Comment 4 Anass Ahmed 2015-11-07 09:22:07 EST
Created attachment 1090964 [details]
File: dso_list
Comment 5 Anass Ahmed 2015-11-07 09:22:09 EST
Created attachment 1090965 [details]
File: environ
Comment 6 Anass Ahmed 2015-11-07 09:22:10 EST
Created attachment 1090966 [details]
File: exploitable
Comment 7 Anass Ahmed 2015-11-07 09:22:12 EST
Created attachment 1090967 [details]
File: limits
Comment 8 Anass Ahmed 2015-11-07 09:22:15 EST
Created attachment 1090968 [details]
File: maps
Comment 9 Anass Ahmed 2015-11-07 09:22:16 EST
Created attachment 1090969 [details]
File: mountinfo
Comment 10 Anass Ahmed 2015-11-07 09:22:18 EST
Created attachment 1090970 [details]
File: open_fds
Comment 11 Anass Ahmed 2015-11-07 09:22:20 EST
Created attachment 1090971 [details]
File: proc_pid_status
Comment 12 Anass Ahmed 2015-11-07 09:22:21 EST
Created attachment 1090972 [details]
File: var_log_messages
Comment 13 lennart_reuther 2015-11-11 18:12:11 EST
Another user experienced a similar problem:

guess it was after changing a calendar entry and sending the laptop intosleep mode afterwards... ?

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icaltime_day_of_year
executable:     /usr/bin/gnome-calendar
global_pid:     8744
kernel:         4.2.5-300.fc23.x86_64
package:        gnome-calendar-3.18.1-1.fc23
reason:         gnome-calendar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Michael Catanzaro 2016-01-18 19:22:28 EST
*** Bug 1214596 has been marked as a duplicate of this bug. ***
Comment 15 Igor Gnatenko 2016-07-07 05:34:28 EDT
*** Bug 1340186 has been marked as a duplicate of this bug. ***
Comment 16 Igor Gnatenko 2016-07-07 07:46:13 EDT
*** Bug 1321411 has been marked as a duplicate of this bug. ***
Comment 17 Pablo Ganuza 2016-07-10 06:04:53 EDT
Similar problem has been detected:

I just opened and closed it.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icaltime_day_of_year
executable:     /usr/bin/gnome-calendar
global_pid:     3051
kernel:         4.6.3-300.fc24.x86_64
package:        gnome-calendar-3.20.2-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gnome-calendar killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Jan Kurik 2016-07-26 00:20:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 19 Jacobo Aragunde 2016-08-04 05:11:16 EDT
Similar problem has been detected:

This is what happened:

* There was a calendar in the list that had been created by another application. I think it was created by a Thunderbird extension (https://addons.mozilla.org/en-US/thunderbird/addon/eds-calendar-integration/). I had disabled that extension and rebooted the system since then.

* I closed and opened GNOME Calendar. No events were shown on it, even for enabled calendars. The deleted calendar was on the list of calendars again.

* I clicked on the deleted calendar to re-enable it and the application crashed.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icaltime_day_of_year
executable:     /usr/bin/gnome-calendar
global_pid:     4775
kernel:         4.6.4-301.fc24.x86_64
package:        gnome-calendar-3.20.2-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gnome-calendar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Jacobo Aragunde 2016-08-04 05:14:01 EDT
Forgot one step in the middle:

(In reply to Jacobo Aragunde from comment #19)
> * There was a calendar in the list that had been created by another
> application. [...]
> 

* Removed that calendar.

> * I closed and opened GNOME Calendar. No events were shown on it, even for
> enabled calendars. The deleted calendar was on the list of calendars again.
> [...]
Comment 21 Dominik Gronkiewicz 2016-10-23 12:55:59 EDT
Similar problem has been detected:

Both Calendar and California was running. I added an event in California. In the same moment I clicked "add" I saw the popup that Calendar crashed.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icaltime_day_of_year
executable:     /usr/bin/gnome-calendar
global_pid:     9932
kernel:         4.7.9-200.fc24.x86_64
package:        gnome-calendar-3.20.4-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gnome-calendar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Igor Gnatenko 2016-11-16 03:18:18 EST
Hopefully fixed in next release.

Note You need to log in before you can comment on or make changes to this bug.